################################################################################################################
# Basic cumulative distribution plot from delimited input with R.
#
# Associated post: https://www.sector7g.com/learn/visualizing-performance-with-cumulative-distribution/
################################################################################################################

library(ggplot2)
library(data.table)
library(svglite)
rt.data = fread('http_client.log',sep = ',', select = c('RTT') )
svglite('rtt-cdf.svg', width = 10, height = 3.5)
ggplot (rt.data, aes(y=RTT))+
    scale_x_continuous(label = scales::percent, breaks = c(0, .1, .2, .3, .4, .5, .6, .7, .8, .9, 1))+
	scale_y_continuous('Round Trip Time [ms]', breaks=waiver(), n.breaks = 18)+
	stat_ecdf()
dev.off()
